<?php
session_start();
    if (!isset($_SESSION['username'])) {
        header('Location: login.php');
        exit;
    }
function checkRole($requiredRoles = []) {
    if (!isset($_SESSION['username'])) {
        header('Location: login.php');
        exit;
    }

    // Get the user's roles from the session
    $userRoles = $_SESSION['roles'] ?? [];

    // If the user has the 'admin' role, grant access to everything
    if (in_array('admin', $userRoles)) {
        return true;
    }

    // If specific roles are required, check if the user has any of them
    if (!empty($requiredRoles)) {
        foreach ($requiredRoles as $role) {
            if (in_array($role, $userRoles)) {
                return true;
            }
        }
        // If the user doesn't have any of the required roles, deny access
        $_SESSION['error_message'] = 'Access denied. You do not have permission to view this page.';
        return false;
    }

    // If no specific roles are required, allow access
    return true;
}

function hasRole($role) {
    if (!isset($_SESSION['username'])) {
        return false;
    }

    // Get the user's roles from the session
    $userRoles = $_SESSION['roles'] ?? [];

    // If the user has the 'admin' role, they have access to everything
    if (in_array('admin', $userRoles)) {
        return true;
    }

    // Check if the user has the specified role
    return in_array($role, $userRoles);
}
?>
