<?php
require_once('../../../../config/config.php');
require_once('../../../../core/financial_periods.php');
if ($_SERVER['REQUEST_METHOD']==='GET' && isset($_GET['ajax']) && $_GET['ajax']==='periods') {
    header('Content-Type: application/json');
    $financialPeriods = listFinancialPeriods($pdo);
    $output=[];
    foreach($financialPeriods as $fp){
        $output[]=[
            'id'=>(string)$fp['id'],
            'name'=>$fp['name'],
            'start_date'=>$fp['start_date'],
            'end_date'=>$fp['end_date']
        ];
    }
    echo json_encode($output);
    exit;
}
if($_SERVER['REQUEST_METHOD']==='POST'){
    $fpId=$_POST['financial_period_id']??'';
    $asDate=$_POST['as_of_date']??'';
    echo json_encode(['success'=>true,'data'=>[
      'financial_period_id'=>$fpId,
      'as_of_date'=>$asDate
    ]]);
    exit;
}
echo json_encode(['success'=>false,'message'=>'Invalid request']);
